Verwendung des Applikationsprogramms

Using the application program

Product range: Controllers

Product type: Controllers

Manufacturer: Siemens

Name: Event Module N 341

Order No.: 5WG1 341-1AB01

Functional description

The N 341 is a universal, freely programmable controller module for time- and event-dependent applications in the residential and commercial sectors. Snap-fitted on a DIN rail, it is immediately connected by the data rail to the KNX EIB.

Performance characteristics

· Configuration of max. 400 time tasks in up to 125 day programs

· The day programs can be assigned to a maximum of 150 calendar items
(date or date range)

· Three different periods can be configured for periodic operations
(period length 2 ... 40 days)

· Configuration of max. 200 event tasks in up to 200 event programs

· Day or event programs can be used to trigger a maximum of 60 texts with a length of either 6, 10 or 14 characters and to send them on the bus

Application examples

· Lighting tasks inside and outside the home

· Shutter, blind and canopy control

· Greenhouse and conservatory control (temperature, humidity, time, irrigation)

· Individual sequence control for user-friendly automation
(heating, lighting, shutters and blinds, ..)

· Lifestyle programming for different user profiles (scene control)

· Security control / presence simulation ("inhabited house")

· Garden irrigation / cistern control

· Access control / Gate and door control

With the help of a special auxiliary tool, which forms part of the Siemens product database and is automatically started upon selecting the N 341 in the ETS3, it is easy for the user to parameterize the N 341 and to load the parameterization into the N 341 via the KNX EIB.

Note

Version 4 of the application program can be used only together with the ETS3. Version 1 of the application program is still available for the ETS2.


Parameter

Parameters

Parameterization of the event module N 341 is performed with the help of an auxiliary tool which is fully integrated in the ETS3 and is automatically started as soon the parameterization dialog of the ETS3 is called up as usual.

Parameters which affect the general behavior of the N 341 event module are shown together in the menu "General".

The individual event programs and time programs are created and parameterized in the corresponding menus which can be called up by clicking on the name in the list shown on the left.

With the menu "Export / Import" it is possible to save the configuration of the N 341 event module in a file or to restore it from a file. The data can thus be transferred quickly and conveniently from an older version of the application into a newer version.

To find out the exact version name of the auxiliary tool, click with the right-hand mouse button on the header line of the parameterization dialog and select the item "About" in the menu which then appears:

"OK" closes the information window, "Go" takes you to the Internet pages of Siemens Building Management Systems if you are already connected to the Internet.


Allgemein

General

The parameters of the menu "General" have the following significance:

Parameters

Settings

Delay time after reset
(Time)

no delay

1 second

2 seconds

5 seconds

10 seconds

20 seconds

30 seconds

40 seconds

1 minute

2 minutes

5 minutes

This parameter defines the reset behavior of the time program. Object values are not sent, where applicable, until after the set delay time.

Delay time after reset (Event)

no delay

1 second

2 seconds

5 seconds

10 seconds

20 seconds

30 seconds

40 seconds

1 minute

2 minutes

5 minutes

This parameter defines the reset behavior of the event program. Object values are not sent, where applicable, and statuses not polled until after the set delay time.

On the one hand this serves to give the devices (objects) to be polled enough time to make the object values available, on the other hand it can reduce the bus load after a reset of all the bus stations, thus enabling important signals to be processed first.

Parameters |  | Settings
Delay time between two pollings |  | no delay 0.2 seconds 0.5 seconds 1 second 2 seconds 5 seconds 10 seconds 20 seconds 30 seconds 40 seconds 1 minute 2 minutes 5 minutes
This parameter defines the time between two pollings from event programs after a reset. It also serves to control the bus load during a reset by spreading the polling telegrams. The event programs are not processed until all the objects have been polled.
Retrace since bus voltage failure until now | since bus voltage failure since midnight maximum
This parameter specifies whether the time tasks after a (lengthy) failure of the bus/line voltage are to be retraced only since midnight of the current day or since the beginning of the bus voltage failure.
Retrace if lag > | 1 minute 2 minutes 5 minutes 10 minutes 20 minutes 30 minutes 1 hour 2 hours
This parameter specifies for how long the bus must have failed in order for the retracing of the time tasks to be performed at maximum speed. One whole hour will then be retraced in approx. 1.5 minutes. If the bus voltage failures are shorter than the set value, or as soon as the high-speed retracing is so far advanced that the time difference is accordingly small, the day programs will be processed at double speed until the current time is reached. A bus voltage failure of 10 minutes will then be compensated again practically without notice, e.g. within 10 minutes. (">": greater than)

The buttons in the bottom line of the parameter window generally have the following functions:

OK

Closes the data input and saves the data.

Cancel

The data input is canceled, changed data are not saved. Pressing 'Esc' on the keyboard has the same effect.

Default

Resets the general parameters to their default values.

The following confirmation dialog appears before resetting is performed:

If you answer with "Yes": All the data that have been input will be lost! If you answer with "No": The operation will be canceled.

Documentation

This calls up the standard Windows dialog for printing documentation. Printing is generally performed with page orientation set to landscape. If the printer is not set to landscape mode, the following message will appear:

If you want to print anyway, confirm with "Yes". In this case the information will be printed incompletely. If you answer with "No": The operation will be canceled.

A sample printout can be found at the end of this description.

Help

Calls up the page-specific help.


Ereignisse

Events

Event is the generic term in the N 341 time and event module for event programs, event tasks and event triggers.

Event programs are comprised of a list of event tasks that are performed one after the other.

An event task can trigger the sending of a telegram with almost any value or text onto the KNX EIB , or it can act upon another time or event program. An event task can only ever be assigned to one event program.

An event program is started by an event trigger or by way of internal tasks from other time or event programs.

The triggering condition for a communication object is defined in an event trigger. If this condition is fulfilled, the assigned event program will be started.

The menus presented below show the parameterization of the following example:

For example, "Open blinds" stands for the name of the event task and "00:00:00:00" for the time which is to pass from the triggering of the event to the performance of this event task. "Blinds central" is the name of the communication object by means of which the desired value is sent.


Ereignisse Allgemein

Events General

This page shows the maximum number of event triggers and event tasks and how many of each are in current usage, providing a picture of the resources which are still available.


Ereignisprogramme

Event Programs

Examples of event programs:

· Lighting for underground carpark ON and roller door OPEN - only after authorized access
Lighting for underground carpark OFF and roller door CLOSED - only after a certain delay time and with monitoring by a motion detector

· Lighting for house entrance ON - only when brightness drops below a predefined value
Lighting for house entrance OFF - only when brightness rises above a predefined value

This menu shows an overview of all the entered event programs.

Column | Description
Name | Specifies the name of the event program
Number of tasks | Specifies the number of event tasks of the respective event program
Usage | Specifies the number of usages of the event program in question; if an event program is marked, double-clicking on "Usage" will uncover details of where this event program is used (see also "Delete"). An event program can be used in other event programs, with event triggers or in day programs.

The entries are sorted by default in ascending order of the first column. Clicking on a column header either sorts the overview for the first time in accordance with this column or the current sorting direction is reversed.

If the text to be presented in a column is longer than the column is wide, this is indicated by three dots at the end of the visible text.

The columns of the overview can be changed in width. If the entire overview is no longer visible as the result, a horizontal scroll bar appears. Changed column widths are not saved after the parameterization is closed, i.e. the original column width is restored when the overview is called up again.

If more event programs are created than can be presented in the window, a vertical scroll bar appears.

The following buttons for processing the event programs are always provided beneath the overview, but only those which can currently be used are activated (i.e. are not grayed out):

New

New event programs can be created by clicking on this button. The window for editing event programs is then opened. The new event program is not created until the window is closed with "OK" (see the section "Event tasks").

This button is deactivated when the maximum number of 200 event programs or 200 event tasks is reached.

Edit

When an event program is marked it can be edited by actuating this button. The edit dialog can also be called up by double-clicking on the event program.

Copy

When an event program is marked it can be copied by actuating this button. A copy of the marked event program will then be created if you actuate the "Insert“ button.

Insert

This button inserts a copy of the previously copied event program with the name '<Event program name> (n)’. "n" is a serial number which is incremented with each new copy.

This addendum is issued likewise to all other texts, e.g. to the names of all the event tasks which are copied while copying the event program.

This button is deactivated when the maximum number of 200 event programs or 200 event tasks is reached.

Delete

When an event program is marked it can be deleted by actuating this button or the delete key (Del) on the keyboard. When deleting event programs a check is carried out to see whether the event program in question is being used elsewhere. If it is, an infobox will appear indicating the locations where the event program is needed. In this case the event program cannot be deleted:

If you double-click on the header of the 'Usage' column in the overview you will be shown all the locations where the marked event program is being used:


Ereignisaufträge

The button 'New’ and 'Edit' takes you respectively to the overview of event tasks for a new event program which you now want to create or for the event program which you have just selected:

The window Event Tasks is used to group the event tasks in event programs. If event tasks are to send telegrams, communication objects are created here for building the connection to suitable EIB devices (e.g. blind actuators, dimmers, room temperature controllers, etc.).

Connection of the communication objects through group addresses takes place as usual with the ETS3 outside the parameter settings.

The name of the event program can be entered by the user in the top line of the window. The length of the name is limited to 50 characters.

The overview contains the following information for all the event tasks entered:

Column | Description
Name | Specifies the name of the event task
Delay | Specifies the time between triggering the event program and executing an event task
Type | Indicates the event task type
Uses | Specifies the communication object or the connected internal element, depending on the command type
Value | Indicates the value to be sent or the action desired for the internal element
Status | Indicates the status of the entry

The following buttons for processing the event tasks are provided beneath the overview, but only those which are currently meaningful can actually be used:

New | New event tasks can be created by clicking on this button. The window for editing event tasks is then opened. The new event task is not created until the window is closed with "OK“ (see the section "Event tasks“). This button is deactivated when the maximum number of 200 event tasks is reached.
Edit | When an event task is marked it can be edited by actuating this button. The edit dialog can also be called up by double-clicking on the event task.
Copy | When an event task is marked it can be copied by actuating this button. A copy of the marked event task will then be created if you actuate the "Insert“ button.
Insert | This button inserts a copy of the previously copied event task with the name '<Event task name> (n)’. "n“ is a serial number which is incremented with each new copy. This button is deactivated when the maximum number of 200 event tasks is reached.
Delete | When an event task is marked it can be deleted by actuating this button or the delete key (Del) on the keyboard.

The following buttons are available at the bottom of the window:

OK | Closes the data input and adopts the data of the edited event program. This button is available only after a meaningful parameter assignment, i.e. at least one event task must have been created.
Cancel | The data input is canceled, changed data are not adopted. Pressing 'Esc’ on the keyboard has the same effect.
Help | Calls up the page-specific help.


Ereignisauftrag

With 'New’, 'Edit’ or a double-click you are taken to a dialog which enables you to create a new event task or to edit the selected event task:

In the window Event Task you can create a new event task or edit an existing event task.

The following buttons are available at the bottom of the window:

OK | Closes the data input and adopts the data of the edited event task. This button is available only after a meaningful parameter assignment, i.e. a connection from the event task to a communication object or a possible internal use must have been defined.
Cancel | The data input is canceled, changed data are not adopted. Pressing 'Esc’ on the keyboard has the same effect.
Help | Calls up the page-specific help.

The event task is edited using the following elements:

Parameters

Settings

Name

An informative name with a maximum length of 50 characters should be issued for each event task.

Status

enabled

disabled

This parameter lays down whether the event task in question is "enabled" after the parameter assignment is loaded into the N 341 event module, i.e. is taken into account whenever the event program is executed, or whether it is first "disabled“, i.e. has to be enabled prior to possible execution. It is possible for an event task to be enabled or disabled by another event or time task (see 'Instruction Type Internal').

Delay Time

Hours from 0 to 1

Minutes from 0 to 59

Seconds from 0 to 59

Tenths of seconds from 0 to 9

The delay time lays down how much time is to pass after starting the event program until this event task is processed. It is thus possible to realize dynamic operations or to compel the execution of various event tasks in a specific sequence by entering short time intervals. Entries are made in the format h:m:s, 0.1s; the maximum possible delay time equals 1:49:13.5 hours.

Note:

To rule out that certain telegrams cannot be sent because there are too many event tasks to be executed simultaneously, a maximum of only 10 event tasks should be executed at one and the same time.

Instruction Type

internal

Communication Object

Text

Here you can specify which instruction type the event task has. The editing of the remaining boxes in this window is enabled according to this setting.

The following are available:

· Internal: An internal task does not result necessarily in a telegram on the bus but influences the execution of other parts of the parameter assignment. For example, an event task can start another event program or prevent the execution of a day program.

· Communication object: The event task is to send a certain value onto the bus by means of a communication object.

· Text: The event task is to send a certain text onto the bus by means of a communication object in order to present the text on a display and control unit.


Ereignisauftrag_intern

If "Internal“ was selected as the

instruction type, the parameters at

the bottom of the window

are activated:

Communication Object

Category

Event triggers

Event programs

Event tasks

Day programs

Time tasks

Calendar items

Periods

With the instruction type 'Internal’ you can enter which type of elements of the N 341 the internal task refers to. Depending on this box, the elements of a category that are available for selection are shown in the boxes 'Element' and 'Command'. Editing the boxes 'Element' and 'Command' is possible only when an element of the selected category is available.

Element

Depending on the category selected, the already created elements of this category can be selected in this box. If no element of the selected category is available, this field is grayed out. The current element is marked by 'this entry’.

Command (for the category 'Event Triggers')

disable

enable

Command (for the category 'Event Programs')

disable

enable

programming

am interrupting event program

am starting event program

Command (for the category 'Event Tasks')

disable

enable

Command (for the category 'Day Programs')

disable

enable

am activating day program

am deactivating day program

Command (for the category 'Time Tasks')

disable

enable

Command (for the category 'Calendar Items')

disable

enable

Command (for the category 'Periods')

disable

enable

Depending on the category selected, the actions possible for elements of this category can be selected in this box. If no element of the selected category is available, this field is grayed out. The individual commands have the following significance:

disable the selected element will no longer be taken into account when the program is executed in future

enable the selected element will again be taken into account when the program is executed in future

programming the values which are to trigger the event program are read from the bus and saved

am interrupting event program execution of the event program is being terminated immediately

am starting event program the event program is being started the same as with an event program trigger

am activating day program the selected day program is being executed today

am deactivating day program today's execution of the selected day program is being ended


Ereignisauftrag_kommunikationsobjekt

If "Communication Object“

was selected as instruction

type, the parameters

in the middle part of the window

will be activated:

Communication Object

Here you can create a new communication object or edit an existing communication object with which the value or text is to be sent onto the bus. Actuate the button "New“ or "Edit“ accordingly:

Note:

A maximum of 8 different communication objects can be created for texts.

In the window which opens you can enter the name of the communication object in the first line; the name can have a maximum length of 50 characters.

The parameter "EIS Type“ defines the type of communication object to be used:

EIS 1: 1 bit = switching (1/0, on/off, enable/disable, alarm/no alarm, correct/incorrect)

EIS 2: 4 bit = relative dimming (e.g. 1/8 brighter, stop)

EIS 3: 3 bytes = time (e.g. 01:02:03)

EIS 4: 3 bytes = date (e.g. 4 January 2005)

EIS 5: 2 bytes floating decimal point = physical value (value range -671088 .. 671088)

EIS 6: 8 bit = scaling (value range 0 .. 255, corresponds to 0 .. 100 %, convert accordingly when entering!)

EIS 8: 2 bit = positively driven operation (without positively driven operation (off), without positively driven operation (on), positively driven off, positively driven on)

EIS 9: 4 bytes floating decimal point = physical value (-999.999.999.999.999.999 .. +9.999.999.999.999.999.999)

EIS 10 unsigned: 16 bit = count values (value range 0 .. 65.535)

EIS 10 signed: 16 bit = count values (value range -32.768 .. +32.767)

EIS 11 unsigned: 32 bit = count values (value range 0 .. 4.294.967.295)

EIS 11 signed: 32 bit = count values (value range -2.147.483.648 .. 2.147.483.647)

Text: ASCII character string with 6, 10 or 14 characters

An already created communication object is deleted by actuating the button "Delete“.

Value

With the instruction type "Communication Object“ it is possible, depending on the type of communication object selected, to specify a value which the event task is to send when it is executed. The range of values that can be used depends on the EIS type in question (see above ). Entries are possible only when the instruction type 'Communication Object’ has been selected (see above).

Note:

The OK button is enabled only when the event task has been completed with meaningful settings. The changes are not saved until the dialog box is closed with OK.


Ereignisprogramme2

When all the event tasks for the current event program have been created, the event program overview for the example looks as follows:


Ereignisauflösungen

Event Triggers

One possibility of executing an event program is to use a communication object by means of which a certain value has to be received in order for the execution of the event tasks to be started.

The Event Triggers window is used to define triggering conditions for event programs and to create communication objects for connecting to suitable EIB devices (e.g. motion detectors, light level switches, temperature sensors, window contacts, etc.). Connection of the communication objects through group addresses takes place as usual with the ETS3 outside the parameter settings.

This menu shows an overview of all the entered event triggers.

Column | Description
Name Event Trigger | Specifies the name of the event trigger
Name CObject | Specifies the name of the communication object used
Trigger Condition | Specifies the logic condition which has to be satisfied in order to start the event program
Name Event Program | Specifies the name of the event program to be started

The entries are sorted by default in ascending order of the first column. Clicking on a column header either sorts the overview for the first time in accordance with this column or the current sorting direction is reversed.

If the text to be presented in a column is longer than the column is wide, this is indicated by three dots at the end of the visible text.

The columns of the overview can be changed in width. If the entire overview is no longer visible as the result, a horizontal scroll bar appears. Changed column widths are not saved after the parameterization is closed, i.e. the original column width is restored when the overview is called up again.

If more event triggers are created than can be presented in the window, a vertical scroll bar appears.

The following buttons for processing the event triggers are provided beneath the overview, but only those which are currently meaningful can actually be used:

New | New event triggers can be created by clicking on this button. The window for editing event triggers is then opened. The new event trigger is not created until this window is closed with "OK“ (see below). This button is deactivated when the maximum number of 100 event triggers is reached.
Edit | When an event trigger is marked it can be edited by actuating this button. The edit dialog can also be called up by double-clicking on the event trigger.
Copy | When an event trigger is marked it can be copied by actuating this button. A copy of the marked event trigger will then be created if you actuate the "Insert“ button.
Insert | This button inserts a copy of the previously copied event trigger with the name '<Event trigger name> (n)’. "n“ is a serial number which is incremented with each new copy. This button is deactivated when the maximum number of 100 event triggers is reached.
Delete | When an event trigger is marked it can be deleted by actuating this button or the delete key (Del) on the keyboard.


Ereignisauflösungen2

The button 'New’ and 'Edit' takes you respectively to the edit menu of a new event trigger which you now want to create or for the event trigger which you have just selected:

In the window Event Triggers you can create a new event trigger or edit an existing event trigger.

The following buttons are available at the bottom of the window:

OK | Closes the data input and adopts the data of the edited event trigger. This button is available only after a meaningful parameter assignment, i.e. a connection from the event trigger to a communication object and to an event program.
Cancel | The data input is canceled, changed data are not adopted. Pressing 'Esc’ on the keyboard has the same effect.
Help | Calls up the page-specific help.

The event trigger is edited using the following elements:

Parameters

Settings

Name

A name can be issued for each event trigger. The name can have a length of up to 50 characters.

Status

enabled

disabled

This parameter lays down whether the event trigger in question is "enabled" after the parameter assignment is loaded into the N 341 event module, i.e. can be used to trigger an event program, or whether it is first "disabled“, i.e. has to be enabled prior to possible consideration. It is possible for an event trigger to be enabled or disabled by an event or time task.

CObjects

Here you can create a new communication object or edit an existing communication object by means of which the triggering value is to be received from the bus. Actuate the button "New“ or "Edit“ accordingly:

In the window which opens you can enter the name of the communication object in the first line; the name can have a maximum length of 50 characters.

The parameter "EIS Type“ defines the type of communication object to be used:

EIS 1: 1 bit = switching (1/0, on/off, enable/disable, alarm/no alarm, correct/incorrect)

EIS 5: 2 bytes floating decimal point = physical value (value range -671088 .. 671088)

EIS 6: 8 bit = scaling (value range 0 .. 255, corresponds to 0 .. 100 %, convert accordingly when entering!)

EIS 9: 4 bytes floating decimal point = physical value (-999.999.999.999.999.999 .. +9.999.999.999.999.999.999)

EIS 10 unsigned: 16 bit = count values (value range 0 .. 65.535)

EIS 10 signed: 16 bit = count values (value range -32.768 .. +32.767)

EIS 11 unsigned: 32 bit = count values (value range 0 .. 4.294.967.295)

EIS 11 signed: 32 bit = count values (value range -2.147.483.648 .. 2.147.483.647)

Text: ASCII character string with 6, 10 or 14 characters

An already created communication object is deleted by actuating the button "Delete“.

Trigger Condition (for EIS 1)

when value received

when value = 0

when value = 1

when value from 0 to 1

when value from 1 to 0

Here you can specify which received binary telegram value is to result in triggering of the parameterized event program. The various entries have the following significance:

when value received every received telegram results in triggering of the event program

when value = 0 every telegram with the value "0“ results in triggering of the event program

when value = 1 every telegram with the value "1“ results in triggering of the event program

when value from 0 to 1 the event program is executed only when the value changes from "0’“ to "1“

when value from 1 to 0 the event program is executed only when the value changes from "1“ to "0“

Parameters

Settings

Trigger Condition (for EIS 5,6,9,10,11)

when value received

when value > limit value

when value < limit value

when limit value overranged

when limit value underranged

when value = limit value

Here you can specify which received binary telegram value of the EIS type in question is to result in triggering of the parameterized event program. The various entries have the following significance:

when value received every received telegram results in triggering of the event program

when value > limit value the event program is executed with every telegram value that is greater than the limit value specified below

when value < limit value the event program is executed with every telegram value that is smaller than the limit value specified below

when limit value overranged the event program is executed only with the first telegram value that is greater than the limit value specified below

when limit value underranged the event program is executed only with the first telegram value that is smaller than the limit value specified below

when value = limit value the event program is executed only when the telegram value is exactly equal to the limit value specified below

Limit Value (for EIS 5,6,9,10,11)

Here you can specify a limit value, depending on the EIS type of the communication object selected. Entries are possible only for communication object type EIS5, 6, 9, 10, 11 and when the trigger condition 'when value received’ has been selected. The range of values that can be used depends on the EIS type in question (see above ).

Default Value at Restart (for EIS 1)

Object value = 0

Object value = 1

Default Value at Restart (for EIS 5,6,7,8,9,10,11)

Limit value underranged

Limit value overranged

Here you are offered a default value at restart, depending on the object type selected and the trigger condition selected, in order to enable e.g. edge evaluations. If an illogical default value is entered, the trigger condition may never be satisfied or may be satisfied late (e.g. default value "limit value overranged“ and trigger condition "when limit value underranged“).

Event Program

Here you can set the event program which is to be started when the trigger condition is satisfied.

Program

activate

Save CObject value

This parameter lays down whether the current object values of the communication objects used in the selected event program are to be saved when the trigger condition is satisfied (comparable to save scene), or whether the event program is to be executed with the saved or parameterized values (comparable with trigger scene).

Retriggerable

no

Yes

Here you can set whether an event trigger is to be retriggerable. Retriggerable means that when the trigger condition is satisfied again, the processing of the corresponding event program is aborted where applicable and restarted immediately from the beginning.

If an event trigger is not retriggerable, the corresponding event program cannot be started again anew by this event trigger until the event program has been fully executed. If the trigger condition is satisfied in the meantime, the event program is not automatically started anew; however, the last received telegram value for the limit value monitoring will be taken into account. Hence satisfied trigger conditions may go unnoticed with this setting!

Note:

The OK button is enabled only when the event trigger has been completed with meaningful settings. The changes are not saved until the dialog box is closed with OK.


Zeit

Time

The term "Time" used in conjunction with the time and event module N 341 covers the parameters for day programs, time tasks, calendar programs and periods.

Day programs are comprised of a list of time tasks that are performed at defined times.

A time task can trigger the sending of a telegram with almost any value or text onto the KNX EIB , or it can act upon another time or event program. A time task can only ever be assigned to one day program.

A day program is started by a calendar item, a period or by way of internal tasks from other time or event programs, i.e. is performed today.

A calendar item defines on which calendar day or in which data range a certain day program is to be executed and whether other day programs are to be deactivated simultaneously or executed in parallel with it.

Periods can be used to define the order in which different day programs are to be executed. Unlike calendar items, however, you do not lay down a specific data or date range for executing always the same day program but instead you specify from which date on the defined order of day programs is to be executed in cyclic mode. Once a period has started, its execution can only be terminated by disabling the period using an internal task.

Time controls that can be realized by calendar items and periods are, for example, week programs (periods with 7 days or a multiple thereof), day programs that are executed only once or once monthly or yearly, or daily recurring sequences.

Examples of time programs:

· From 7th January to 25th April the lighting of an underground carpark is switched on at 6:00h and off at 22:00h.

· From Monday to Friday the lighting of a house entrance is switched on at 18:30h and off at 6:00h.

· From 1st March to 31st October, Mondays to Fridays, a bedroom blind is opened at 6:00h and closed at 21:30h. Saturdays and Sundays it is opened at 8:30h and closed at 22:00h.


Zeit allgemein

Time General

This page shows the maximum number of time tasks, calendar entries, day programs and periods and how many of each are in current usage.


Tagesprogramme

Day Programs

This menu shows an overview of all the entered day programs.

Column | Description
Name | Specifies the name of the day program
Number of tasks | Specifies the number of time tasks of the respective day program
Usage | Specifies the number of usages of the day program in question; if a day program is marked, double-clicking on "Usage“ will uncover details of where this day program is used (see also "Delete“). A day program can be used by other day programs, by calendar items, periods or event programs.

The entries are sorted by default in ascending order of the first column. Clicking on a column header either sorts the overview for the first time in accordance with this column or the current sorting direction is reversed.

If the text to be presented in a column is longer than the column is wide, this is indicated by three dots at the end of the visible text.

The columns of the overview can be changed in width. If the entire overview is no longer visible as the result, a horizontal scroll bar appears. Changed column widths are not saved after the parameterization is closed, i.e. the original column width is restored when the overview is called up again.

If more day programs are created than can be presented in the window, a vertical scroll bar appears.

The following buttons for processing the day programs are provided, but only those which are currently meaningful can actually be used:

New

New day programs can be created by clicking on this button. The window for editing day programs is then opened. The new day program is not created until this window is closed with "OK“.

This button is deactivated when the maximum number of 125 day programs or 400 time tasks is reached.

Edit

When a day program is marked it can be edited by actuating this button. The edit dialog can also be called up by double-clicking on the day program.

Copy

When a day program is marked it can be copied by actuating this button. A copy of the marked day program will then be created if you actuate the "Insert“ button.

Insert

This button inserts a copy of the previously copied day program with the name '<Day program name> (n)’. "n“ is a serial number which is incremented with each new copy.

This button is deactivated when the maximum number of 125 day programs or 400 time tasks is reached.

Delete

When a day program is marked it can be deleted by actuating this button or the delete key (Del) on the keyboard. When deleting day programs a check is carried out to see whether the day program in question is being used elsewhere. If it is, an infobox will appear indicating the locations where the day program is needed. In this case the day program cannot be deleted:

If you double-click on the header of the 'Usage' column in the overview you will be shown all the locations where the marked day program is being used:


Zeitaufträge

The button 'New’ and 'Edit' takes you respectively to the overview of time tasks for a new event program which you now want to create or for the day program which you have just selected:

The window Time Tasks is used to group the time tasks in day programs. If time tasks are to send telegrams, communication objects are created here for building the connection to suitable EIB devices (e.g. blind actuators, dimmers, room temperature controllers, etc.).

Connection of the communication objects through group addresses takes place as usual with the ETS3 outside the parameter settings.

The name of the day program can be entered by the user in the top line of the window. The length of the name is limited to 50 characters.

The overview contains the following information for all the time tasks entered:

Column | Description
Name | Specifies the name of the time task
Time | Specifies the time at which the time task is executed
Type | Indicates the time task type
Uses | Specifies the communication object or the connected internal element, depending on the command type
Value | Indicates the value to be sent or the action desired for the internal element
Status | Indicates the status of the entry
Retrace | Indicates the send behavior for this time task when retracing

The entries are sorted by default according to time. Clicking on a column header either sorts the overview for the first time in accordance with this column or the current sorting direction is reversed.

If the text to be presented in a column is longer than the column is wide, this is indicated by three dots at the end of the visible text.

The columns of the overview can be changed in width. If the entire overview is no longer visible as the result, a horizontal scroll bar appears. Changed column widths are not saved after the parameterization is closed, i.e. the original column width is restored when the overview is called up again.

If more time tasks are created than can be presented in the window, a vertical scroll bar appears.

The following buttons for processing the time tasks are provided beneath the overview, but only those which are currently meaningful can actually be used:

New | New time tasks can be created by clicking on this button. The window for editing time tasks is then opened. The new time task is not created until this window is closed with "OK“. This button is deactivated when the maximum number of 400 time tasks is reached.
Edit | When a time task is marked it can be edited by actuating this button. The edit dialog can also be called up by double-clicking on the time task.
Copy | When a time task is marked it can be copied by actuating this button. A copy of the marked time task will then be created if you actuate the "Insert“ button.
Insert | This button inserts a copy of the previously copied time task with the name '<Time task name> (n)’. "n“ is a serial number which is incremented with each new copy. This button is deactivated when the maximum number of 400 time tasks is reached.
Delete | When a time task is marked it can be deleted by actuating this button or the delete key (Del) on the keyboard.

The following buttons are available at the bottom of the window:

OK | Closes the data input and adopts the data of the edited day program. This button is available only after a meaningful parameter assignment, i.e. at least one time task must have been created.
Cancel | The data input is canceled, changed data are not adopted. Pressing 'Esc’ on the keyboard has the same effect.
Help | Calls up the page-specific help.


Zeitauftrag

With 'New’, 'Edit’ or a double-click you are taken to a dialog which enables you to create a new time task or to edit the selected time task:

The following buttons are available at the bottom of the window:

OK | Closes the data input and adopts the data of the edited time program. This button is available only after a meaningful parameter assignment, i.e. at least one time task must have been created.
Cancel | The data input is canceled, changed data are not adopted. Pressing 'Esc’ on the keyboard has the same effect.
Help | Calls up the page-specific help.

The time task is edited using the following elements:

Parameters

Settings

Name

A name can be issued for each time task. The name can have a length of up to 50 characters.

Status

enabled

disabled

This parameter lays down whether the time task in question is "enabled" after the parameter assignment is loaded into the N 341 event module, i.e. is taken into account whenever the day program is executed, or whether it is first "disabled“, i.e. has to be enabled prior to possible execution. It is possible for a time task to be enabled or disabled by another time or event task (see 'Instruction Type Internal').

Retrace

no

yes

last

With this parameter you can specify whether the time task in question is to be retraced after a bus voltage failure, i.e. whether any telegrams which were omitted in the meantime are to be subsequently sent. "no“ means that the time task in question is not to be taken in account for retracing, "yes“ means that the desired telegram is sent each time this time task is next in line when retracing the omitted tasks, and "last" means that only the last valid telegram value is sent when the retracing is completed and all interim values are suppressed.

Time [h:m]

Hours from 0 to 23

Minutes from 0 to 59

Here you can set the time at which this time task is to be executed. A wild card ("*“) is possible in each position (hours, minutes) and means that this time task is to be executed upon every full hour or minute.

Instruction Type

internal

Communication Object

Text

Here you can specify which instruction type the time task has. The editing of the remaining boxes in this window is enabled according to this setting.

The following are available:

· Internal: An internal task does not result necessarily in a telegram on the bus but influences the execution of other parts of the parameter assignment. For example, a time task can start another event program or prevent the execution of a different day program.

· Communication object: The event task is to send a certain value onto the bus by means of a communication object.

· Text: The time task is to send a certain text (as EIS Type 15) onto the bus by means of a communication object in order to present the text on a display and control unit.


Zeitauftrag_intern

If "Internal“ was selected as

the instruction type,

the parameters at the bottom

of the window are activated:

Parameters

Settings

Category

Event triggers

Event programs

Event tasks

Day programs

Time tasks

Calendar items

Periods

With the instruction type 'Internal’ you can enter which type of elements of the N 341 the internal task refers to. Depending on this box, the elements of a category that are available for selection are shown in the boxes 'Element' and 'Command'. Editing the boxes 'Element' and 'Command' is possible only when an element of the selected category is available.

Element

Depending on the category selected, the already created elements of this category can be selected in this box. If no element of the selected category is available, this field is grayed out. The current element is marked by 'this entry’.

Command (for the category 'Event Triggers')

disable

enable

Command (for the category 'Event Programs')

disable

enable

programming

am interrupting event program

am starting event program

Command (for the category 'Event Tasks')

disable

enable

Command (for the category 'Day Programs')

disable

enable

programming

am activating day program

am deactivating day program

Command (for the category 'Time Tasks')

disable

enable

Command (for the category 'Calendar Items')

disable

enable

Command (for the category 'Periods')

disable

enable

Depending on the category selected, the actions possible for elements of this category can be selected in this box. If no element of the selected category is available, this field is grayed out.

The individual commands have the following significance:

disable the selected element will no longer be taken into account when the program is executed in future

enable the selected element will again be taken into account when the program is executed in future

programming the values which are to trigger the event program are read from the bus and saved

am interrupting event program execution of the event program is being terminated immediately

am starting event program the event program is being started the same as with an event program trigger

am activating day program the selected day program is being executed today

am deactivating day program today's execution of the selected day program is being ended


Zeitauftrag_Kommunikationsobjekte

If "Communication Object“

was selected as instruction

type, the parameters in the middle

part of the window will be activated:

Parameters

Settings

Communication Object

Here you can create a new communication object or edit an existing communication object with which the value or text is to be sent onto the bus. Actuate the button "New“ or "Edit“ accordingly:

Note:

A maximum of 8 different communication objects can be created for texts.

In the window which opens you can enter the name of the communication object in the first line; the name can have a maximum length of 50 characters.

The parameter "EIS Type“ defines the type of communication object to be used:

EIS 1: 1 bit = switching (1/0, on/off, enable/disable, alarm/no alarm, correct/incorrect)

EIS 2: 4 bit = relative dimming (e.g. 1/8 brighter, stop)

EIS 3: 3 bytes = time (e.g. 01:02:03)

EIS 4: 3 bytes = date (e.g. 4 January 2005)

EIS 5: 2 bytes floating decimal point = physical value (value range -671088 .. 671088)

EIS 6: 8 bit = scaling (value range 0 .. 255, corresponds to 0 .. 100 %, convert accordingly when entering!)

EIS 8: 2 bit = positively driven operation (without positively driven operation (off), without positively driven operation (on), positively driven off, positively driven off)

EIS 9: 4 bytes floating decimal point = physical value (-999.999.999.999.999.999 .. +9.999.999.999.999.999.999)

EIS 10 unsigned: 16 bit = count values (value range 0 .. 65.535)

EIS 10 signed: 16 bit = count values (value range -32.768 .. +32.767)

EIS 11 unsigned: 32 bit = count values (value range 0 .. 4.294.967.295)

EIS 11 signed: 32 bit = count values (value range -2.147.483.648 .. 2.147.483.647)

Text: ASCII character string with 6,10 or 14 characters

An already created communication object is deleted by actuating the button "Delete“.

Value

With the instruction type "Communication Object“ it is possible, depending on the type of communication object selected, to specify a value which the time program is to send at the parameterized time when it is executed. The range of values that can be used depends on the EIS type in question (see above ). Entries are possible only when the instruction type 'Communication Object’ has been selected (see above).

Note:

The OK button is enabled only when the time task has been completed with meaningful settings. The changes are not saved until the dialog box is closed with OK.


Tagesprogramme2

When all the time tasks for the current day program have been created, the day program overview for the example looks as follows:


Kalendereinträge

Calendar items

One possibility of executing a day program is to use a calendar item by means of which a certain date or date range for the once-only or recurring execution of the time tasks is defined.

This menu shows an overview of all the entered calendar items:

Column | Description
Name | Specifies the name of the day program
Date | Specifies the moment at which execution takes place
Valid from | Specifies the beginning of the time task's period of validity
Valid to | Specifies the end of the time task's period of validity
Day program | Indicates the name of the day program which is to be executed
Status | Indicates the status of the entry

The following buttons for processing the calendar items are provided, but only those which are currently meaningful can actually be used:

New | New calendar items can be created by clicking on this button. The window for editing calendar items is then opened. The new calendar item is not created until this window is closed with "OK“. This button is deactivated when the maximum number of 150 calendar items is reached.
Edit | When a calendar item is marked it can be edited by actuating this button. The edit dialog can also be called up by double-clicking on the calendar item.
Copy | When a calendar item is marked it can be copied by actuating this button. A copy of the marked calendar item will then be created if you actuate the "Insert“ button.
Insert | This button inserts a copy of the previously copied calendar item with the name '<Calendar item name> (n)’. "n“ is a serial number which is incremented with each new copy. This button is deactivated when the maximum number of 150 calendar items is reached.
Delete | When a calendar item is marked it can be deleted by actuating this button or the delete key (Del) on the keyboard.
Help | Calls up the page-specific help.


Kalendereintrag

With 'New’, 'Edit’ or a double-click you are taken to a dialog which enables you to create a new calendar item or to edit the selected calendar item:

The following buttons are available at the bottom of the window:

OK | Closes the data input and adopts the data of the edited calendar item. This button is available only after a meaningful parameter assignment.
Cancel | The data input is canceled, changed data are not adopted. Pressing 'Esc’ on the keyboard has the same effect.
Help | Calls up the page-specific help.

The calendar item is edited using the following elements:

Parameters

Settings

Name

A name can be issued for each calendar item. The name can have a length of up to 50 characters.

Status

enabled

disabled

A disabled calendar item is not edited. It is possible for this item to be enabled or disabled by a time or event task.

This parameter lays down whether the calendar item in question is "enabled" after the parameter assignment is loaded into the N 341 event module, i.e. is taken into account whenever the day program is executed, or whether it is first "disabled“, i.e. has to be enabled prior to possible execution. It is possible for a calendar item to be enabled or disabled by an event or time task.

Date

Day from 1-31 (dynamic according to month)

Month from January to December

Year from 2003 to 2089

This parameter defines the date of execution of the day program selected further below. The last selectable day depends on the month in question and will be corrected if necessary. A wild card ("*“) is possible in each position (day, month, year) and means that this day program is to be executed daily, monthly or yearly. You are allowed to use several wild cards in one calendar item; however, a wild card can only be used for the day when a wild card is also used for the month, which in turn is conditional on a wild card being used for the year.

Valid from

Day from 1-31 (dynamic)

Month from January to December

Year from 2003 to 2089

This box defines the earliest date from which the calendar item is to be executed. Entries have the same form as date entries (see above). The validity date is not checked for plausibility with regard to 'Date’ and 'Valid to’; this box is grayed out for the once-only execution of a calendar item (day, month and year are entered in 'Date').

Valid to

Day from 1-31 (dynamic)

Month from January to December

Year from 2003 to 2089

This box defines the latest date up to which the calendar item is to be executed. Entries have the same form as date entries (see above). The validity date is not checked for plausibility with regard to 'Date' and 'Valid from’; this box is grayed out for the once-only execution of a calendar item (day, month and year are entered in 'Date').

Disable Periods

Yes

no

With this parameter you can disable the execution of periods when the day program in question is active. This box is grayed out for daily tasks (wild card in day, month and year).

Disable Daily Tasks

Yes

no

With this parameter you can disable daily tasks when the day program in question is active. This box is grayed out for daily tasks (wild card in day, month and year).

Disable Monthly Tasks

Yes

no

With this parameter you can disable monthly tasks when the day program in question is active. This box is grayed out for monthly tasks (wild card in day, month and year).

Disable Annual Tasks

Yes

no

With this parameter you can disable annual tasks when the day program described above is active. This box is grayed out for yearly tasks (wild card only in year).

Start Day Program

Specifies the day program which is to be executed. If no day program was selected yet, this field is grayed out.

Note:

The OK button is enabled only when a calendar item has been completed with meaningful settings. The changes are not saved until the dialog box is closed with OK.


Perioden

Periods

Another possibility of executing a day program is to use a period by means of which a fixed sequence of time tasks is defined for continual repetition from a certain date. It is thus possible to define a 7-day time switch the same as any other regularly recurring sequence of daily operations, e.g. within the framework of a shift schedule.

This menu shows an overview of all the entered periods.

With 'New’, 'Edit’ or a double-click you are taken to a dialog which enables you to create a new period or to edit the selected period.

Column | Description
Name | Specifies the name of the period
Number of days | Indicates the duration of a period in days
Beginning | Specifies the date on which the period begins
Status | Indicates the status of the entry

The following buttons for processing the periods are provided, but only those which are currently meaningful can actually be used:

New | New periods can be created by clicking on this button. The window for editing periods is then opened. A new period is not created until this window is closed with "OK“. This button is deactivated when the maximum number of 3 periods is reached.
Edit | When a period is marked it can be edited by actuating this button. The period can also be called up by double-clicking on the event trigger.
Copy | When a period is marked it can be copied by actuating this button. A copy of the marked period will then be created if you actuate the "Insert“ button.
Insert | This button inserts a copy of the previously copied period with the name '<Period name> (n)’. "n“ is a serial number which is incremented with each new copy. This button is deactivated when the maximum number of 3 periods is reached.
Delete | When a period is marked it can be deleted by actuating this button or the delete key (Del) on the keyboard.
Help | Calls up the page-specific help.


Periode

With 'New’, 'Edit’ or a double-click you are taken to a dialog which enables you to create a new period or to edit the selected period.

This menu shows the order of the day programs used for this period.

The name of the period can be entered by the user in the top line of the window. The length of the name is limited to 50 characters.

The overview contains the following information for all the time tasks entered:

Column | Description
Day | Indicates the position of the day program in question within the period. Given a period duration of 7, 14, 21, 28 and 35 days the weekday specified by the starting date is also shown
Name | Indicates the timing of the respective day program which is to be executed
Day program | Indicates whether the parallel execution of daily calendar items is permitted ("enabled") or not ("disabled") during execution of the day program in question

The following buttons for processing the periods are provided, but only those which are currently meaningful can actually be used:

New | Already created day programs can be assigned to a period by clicking on this button. The 'Day Program" window is then opened for editing periods. A new day for a period is not created until this window is closed with "OK“. This button is deactivated when the maximum number of 40 day programs per period is reached.
Edit | When a day is marked it can be edited by actuating this button. The edit dialog can also be called up by double-clicking on the day.
Copy | When a day is marked it can be copied by actuating this button. A copy of the marked day will then be created if you actuate the "Insert“ button.
Insert | inserts a copy of the previously copied day. The copied day is then shown with a serial number in the 'Day’ column. This button is deactivated when the maximum number of 40 day programs per period is reached.
Delete | When a day is marked it can be deleted by actuating this button or the delete key (Del) on the keyboard.
Help | Calls up the page-specific help.

The following buttons are available at the bottom of the window:

OK | Closes the data input and adopts the data of the edited period. This button is available only after a meaningful parameter assignment, i.e. at least two days must have been created.
Cancel | The data input is canceled, changed data are not adopted. Pressing 'Esc’ on the keyboard has the same effect.
Help | Calls up the page-specific help.


Tagesprogramm

With 'New’, 'Edit’ or a double-click you are taken to a dialog which enables you to create a new day in a period or to edit the selected day:

This dialog inserts a new day in the period or edits a day.

Parameters | Settings
Day program |
Here you can select which day program is to be activated when this day in the period is active. If you select "no day program“, no specific action will be triggered on this day. It is thus possible, for example, to skip the weekend in a week program.
Disable Day Program | no Yes
Here you can disable or enable the parallel execution of daily tasks. If "no day program" is selected at the top, this field is grayed out.

The following buttons are available in addition at the bottom of the window:

OK | Closes the data input and adopts the data of the edited day. This button is available only after a meaningful parameter assignment.
Cancel | The data input is canceled, changed data are not adopted. Pressing 'Esc’ on the keyboard has the same effect.
Help | Calls up the page-specific help.


Kommunikationsobjekte

Communication Objects

The two communication objects for the master clock are always available. All other communication objects can be created in the dialogs: Event Tasks, Event Triggers and Time Tasks. The names of communication objects are freely selectable. The maximum number of characters is 50. Following flags are set as standard: Communication, Write, Send and Update.

The total number of available communication objects is 255.


Importieren Exportieren

Import / Export

The N 341 event module allows you to export all finished settings, i.e. all names, parameters and group address connections, into a file.

Similarly, an exported parameter assignment can be adopted into the current N 341 event module by means of an import mechanism.

It is thus possible to update the ETS or the application program without having the repeat the entire parameterization.

Actuating the button "Export“ opens the standard dialog for saving files:

The file is saved in XML format, a standardized data format that enables easy evaluation of the saved data.

When an XML file is imported, all previous entries are overwritten. A safety query is issued therefore to avoid any unintentional loss of data:

Note

To be able to import an exported data record of an N 341 event module, all the group addresses which were used in the N 341 event module in question should also have already been created in the current project.

Non-existent group addresses will be created and their connections made, but the original names of the group addresses are unknown, making it impossible in this case to reproduce the original parameter assignment!

If identical group addresses are used differently in the original project and in the current project, this can result in an apparent malfunction of the installation.

When updating an existing project from the ETS2 to the ETS3 it is recommended to proceed as follows:

· Export the parameter assignments of the N 341 event module existing in this project (use an informative name, e.g. with reference to the physical address).

· For this you need the ETS2 Export Tool from Siemens (available from www.siemens.de/gamma), an installed ETS3 version, the corresponding ETS2 database and (if available) the N 341 auxiliary database.

· Delete the N 341 event module in the current project (in ETS2)

· Export the rest of the project

· Import this project into the ETS3

· Import the new application program of the N 341 event module for the ETS3

· Insert the previously deleted N 341 event module

· Import the exported parameter assignments into the respective "N 341 event module“


Ereignisauftrag Text

Text

Beim Befehlstyp ‚Text’ kann dem ausgewählten Kommunikationsobjekt einer von 60 zur Verfügung stehenden Texten zugewiesen und dieser geändert werden. Dies geschieht durch Betätigen der daneben befindlichen Schaltfläche „Ändern“ oder durch einen Doppelklick auf den Text. Der Text kann 6, 10 oder 14 ASCII-Zeichen lang sein. Kürzere Texte werden zum Senden automatisch mit Leerzeichen auf die entsprechende Länge aufgefüllt. Zum Versenden von Text stehen maximal 8 verschiedene Kommunikationsobjekte zur Verfügung.